SoProfileCoordinate3(3)

NAME
SoProfileCoordinate3 - The SoProfileCoordinate3 class is a node specifying a set of 3D coordinates for profiles.

SYNOPSIS

#include <Inventor/nodes/SoProfileCoordinate3.h>

Inherits SoNode.

  Public Member Functions
virtual SoType getTypeId (void) const
SoProfileCoordinate3 (void)
virtual void doAction (SoAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void callback (SoCallbackAction *action)
virtual void pick (SoPickAction *action)
virtual void getBoundingBox (SoGetBoundingBoxAction *action)
virtual void getPrimitiveCount (SoGetPrimitiveCountAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoMFVec3f point

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoProfileCoordinate3 ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoProfileCoordinate3 class is a node specifying a set of 3D coordinates for profiles. Use nodes of this type to provide coordinates to profiles.

The third element of the coordinate vector is used for normalization. A node of this type where all the normalization values are equal to 1.0 is the equivalent of setting up an SoProfileCoordinate2 node.

Note that an SoProfileCoordinate3 node will replace the profile coordinates already present in the state (if any).

FILE FORMAT/DEFAULTS:

ProfileCoordinate3 {
    point 0 0 1
}

See also
    SoProfile, SoProfileCoordinate2

Constructor & Destructor Documentation

  SoProfileCoordinate3::SoProfileCoordinate3 (void)
Constructor.

  SoProfileCoordinate3::~SoProfileCoordinate3 () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoProfileCoordinate3::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoProfileCoordinate3::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoProfileCoordinate3::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoProfileCoordinate3::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  void SoProfileCoordinate3::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoProfileCoordinate3::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

  void SoProfileCoordinate3::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

  void SoProfileCoordinate3::pick (SoPickAction * action) [virtual]
Action method for SoPickAction.

Does common processing for SoPickAction action instances.

Reimplemented from SoNode.

  void SoProfileCoordinate3::getBoundingBox (SoGetBoundingBoxAction * action) [virtual]
Action method for the SoGetBoundingBoxAction.

Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node.

Nodes influencing how geometry nodes calculate their bounding box also override this method to change the relevant state variables.

Reimplemented from SoNode.

  void SoProfileCoordinate3::getPrimitiveCount (SoGetPrimitiveCountAction * action) [virtual]
Action method for the SoGetPrimitiveCountAction.

Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action.

Nodes influencing how geometry nodes calculate their primitive count also override this method to change the relevant state variables.

Reimplemented from SoNode.

Member Data Documentation

  SoMFVec3f SoProfileCoordinate3::point
Pool of coordinate points for the traversal state.

Author

Generated automatically by Doxygen for Coin from the source code.